%define	version 0.4
%define name mandrake_doc
%define release 4mdk

Name: %{name}
Summary: Linux-Mandrake documentation
Version: %{version}
Release: %{release}
Copyright: Artistic
Group: System/Internationalization
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: %{name}-%{version}.tar.bz2
BuildArchitectures: noarch
Prefix: %{_prefix}


%description
This package contains some useful documentation for Linux-Mandrake
systems. This documentation is directly accessible through the Mandrake
desktop (the "doc" icon).


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%install

mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/menu
mv mandrake_doc-?? $RPM_BUILD_ROOT%{_prefix}/lib/menu/
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/icons/large/
mv doc48.xpm $RPM_BUILD_ROOT%{_prefix}/share/icons/large/mdkdoc.xpm 
mv doc32.xpm $RPM_BUILD_ROOT%{_prefix}/share/icons/mdkdoc.xpm 
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/icons/mini/
mv doc16.xpm $RPM_BUILD_ROOT%{_prefix}/share/icons/mini/mdkdoc.xpm 
mkdir -p $RPM_BUILD_ROOT%{_prefix}/doc/mandrake
cp -a * $RPM_BUILD_ROOT%{_prefix}/doc/mandrake/

%clean
rm -rf $RPM_BUILD_ROOT


%package es
Summary: The Linux-Mandrake Installation Guide and User Guide, plus many KDE docs, in Spanish
Group: System/Internationalization
Requires: locales-es

%description es
This package contains some useful documentation for Linux-Mandrake
systems. This documentation is directly accessible through the Mandrake
desktop (the "doc" icon).

%post es
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun es
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post es
#ln -sf es/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun es
#rm /usr/doc/mandrake/index.html

%files es
%defattr(-,root,root)
%dir %{_prefix}/doc/mandrake
%{_prefix}/doc/mandrake/es
%{_prefix}/lib/menu/mandrake_doc-es
%{_prefix}/share/icons/large/mdkdoc.xpm 
%{_prefix}/share/icons/mdkdoc.xpm 
%{_prefix}/share/icons/mini/mdkdoc.xpm 

%package fr
Summary: The Linux-Mandrake Installation Guide and User Guide, plus many KDE docs, in French
Group: System/Internationalization
Requires: locales-fr

%description fr
This package contains some useful documentation for Linux-Mandrake
systems. This documentation is directly accessible through the Mandrake
desktop (the "doc" icon).

%post fr
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun fr
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post fr
#ln -sf fr/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun fr
#rm /usr/doc/mandrake/index.html
#
%files fr
%defattr(-,root,root)
%dir %{_prefix}/doc/mandrake
%{_prefix}/doc/mandrake/fr
%{_prefix}/lib/menu/mandrake_doc-fr
%{_prefix}/share/icons/large/mdkdoc.xpm 
%{_prefix}/share/icons/mdkdoc.xpm 
%{_prefix}/share/icons/mini/mdkdoc.xpm 


%package de
Summary: The Linux-Mandrake Installation Guide and User Guide, plus many KDE docs, in German
Group: System/Internationalization
Requires: locales-de

%description de
This package contains some useful documentation for Linux-Mandrake
systems. This documentation is directly accessible through the Mandrake
desktop (the "doc" icon).

%post de
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun de
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post de
#ln -sf de/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun de
#rm /usr/doc/mandrake/index.html
#
%files de
%defattr(-,root,root)
%dir %{_prefix}/doc/mandrake
%{_prefix}/doc/mandrake/de
%{_prefix}/lib/menu/mandrake_doc-de
%{_prefix}/share/icons/large/mdkdoc.xpm 
%{_prefix}/share/icons/mdkdoc.xpm 
%{_prefix}/share/icons/mini/mdkdoc.xpm 


%package en
Summary: The Linux-Mandrake Installation Guide and User Guide, plus many KDE docs, in English
Group: System/Internationalization
Requires: locales-en

%description en
This package contains some useful documentation for Linux-Mandrake
systems. This documentation is directly accessible through the Mandrake
desktop (the "doc" icon).

%post en
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun en
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post en
#ln -sf en/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun en
#rm /usr/doc/mandrake/index.html
#
%files en
%defattr(-,root,root)
%dir %{_prefix}/doc/mandrake
%{_prefix}/doc/mandrake/en
%{_prefix}/lib/menu/mandrake_doc-en
%{_prefix}/share/icons/large/mdkdoc.xpm 
%{_prefix}/share/icons/mdkdoc.xpm 
%{_prefix}/share/icons/mini/mdkdoc.xpm 


%package it
Summary: The Linux-Mandrake Installation Guide and User Guide, plus many KDE docs, in Italian
Group: System/Internationalization
Requires: locales-it

%description it
This package contains some useful documentation for Linux-Mandrake
systems. This documentation is directly accessible through the Mandrake
desktop (the "doc" icon).

%post it
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun it
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post it
#ln -sf it/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun it
#rm /usr/doc/mandrake/index.html
#
%files it
%defattr(-,root,root)
%dir %{_prefix}/doc/mandrake
%{_prefix}/doc/mandrake/it
%{_prefix}/lib/menu/mandrake_doc-it
%{_prefix}/share/icons/large/mdkdoc.xpm 
%{_prefix}/share/icons/mdkdoc.xpm 
%{_prefix}/share/icons/mini/mdkdoc.xpm 


%package ru
Summary: The Linux-Mandrake Installation Guide and User Guide, plus many KDE docs, in Russian
Group: System/Internationalization
Requires: locales-ru

%description ru
This package contains some useful documentation for Linux-Mandrake
systems. This documentation is directly accessible through the Mandrake
desktop (the "doc" icon).

%post ru
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun ru
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post ru
#ln -sf ru/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun ru
#rm /usr/doc/mandrake/index.html
#
%files ru
%defattr(-,root,root)
%dir %{_prefix}/doc/mandrake
%{_prefix}/doc/mandrake/ru
%{_prefix}/lib/menu/mandrake_doc-ru
%{_prefix}/share/icons/large/mdkdoc.xpm 
%{_prefix}/share/icons/mdkdoc.xpm 
%{_prefix}/share/icons/mini/mdkdoc.xpm 


%changelog
* Thu May 11 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-4mdk
- updated images

* Wed May 10 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-3mdk
- updated doc 

* Tue May 09 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-2mdk
- add menu entry
- updated doc            

* Thu May 04 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-1mdk
- spec update 
- Now split into corporate and power packages

* Wed Jan 12 2000 Francis Galiegue <francis@mandrakesoft.com>

- Now generate all packages, point to English docs when local ones are not
  available


* Thu Jan 06 2000 Francis Galiegue <francis@mandrakesoft.com>

- Transparency sucks

* Thu Jan 06 2000 Francis Galiegue <francis@mandrakesoft.com>

- Compressed GIF images (Unisys sucks, really)

* Wed Jan 05 2000 Francis Galigue <francis@mandrakesoft.com>

- GIF images
- Only generate en and fr packages for now

* Wed Jan 05 2000 Francis Galigue <francis@mandrakesoft.com>

- Updated userguide and installguide

* Wed Dec 22 1999 Pixel <pixel@mandrakesoft.com>
- put this old one to have at least one...
- split in different language

*  Wed Sep 29 1999 Francis Galiegue <francis@mandrakesoft.com>

- %descripion -> %description :(
- fresmeat -> freshmeat...

* Wed Sep 01 1999 Francis GALIEGUE <francis@mandrakesoft.com>

- updated Mandrake user guide in French, English and German
- added French description and summary
- disabled builds other than en and fr for now
